Get order
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/orders/{orderId} \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"order_id": "order_...",
"order_time": "2026-01-01T00:00:00Z",
"amount": 42.5,
"display_amount": "$42.50",
"subtotal_amount": 40,
"display_subtotal_amount": "$40.00",
"currency": "USD",
"status_code": 1,
"status": "SUCCESS",
"merchant_name": "Example Merchant",
"merchant_url": "https://merchant.example",
"payment_method_type": "CARD",
"payment_method_label": "Visa •••• 4242",
"payment_instrument_last_four": "4242",
"card_scheme": "VISA",
"credit_amount": 2.5,
"display_credit_amount": "$2.50",
"paid_amount": 42.5,
"display_paid_amount": "$42.50",
"products": [],
"agent_info": {},
"refund_summary": {
"refund_count": 0,
"refunded_amount": 0,
"currency": "USD",
"latest_status": null,
"refunds": []
}
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}Orders
Get order
Returns one order of the token’s customer, including the amount breakdown, merchant, payment method, card scheme, products, shipping address and amount, agent_info, and a refund_summary.
GET
/
agent
/
platform
/
orders
/
{orderId}
Get order
curl --request GET \
--url https://uat-api.clinkbill.com/agent/platform/orders/{orderId} \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/agent/platform/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://uat-api.clinkbill.com/agent/platform/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-api.clinkbill.com/agent/platform/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"msg": "Success",
"data": {
"order_id": "order_...",
"order_time": "2026-01-01T00:00:00Z",
"amount": 42.5,
"display_amount": "$42.50",
"subtotal_amount": 40,
"display_subtotal_amount": "$40.00",
"currency": "USD",
"status_code": 1,
"status": "SUCCESS",
"merchant_name": "Example Merchant",
"merchant_url": "https://merchant.example",
"payment_method_type": "CARD",
"payment_method_label": "Visa •••• 4242",
"payment_instrument_last_four": "4242",
"card_scheme": "VISA",
"credit_amount": 2.5,
"display_credit_amount": "$2.50",
"paid_amount": 42.5,
"display_paid_amount": "$42.50",
"products": [],
"agent_info": {},
"refund_summary": {
"refund_count": 0,
"refunded_amount": 0,
"currency": "USD",
"latest_status": null,
"refunds": []
}
}
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}{
"code": 123,
"msg": "<string>"
}